# RowStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [TableLayoutStyle](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstyle.md)
  * [RowStyle](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.rowstyle.md)

Represents the look and feel of a row in a table layout.

{% tabs %}
{% tab title="C#" %}

```csharp
public class RowStyle : TableLayoutStyle
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class RowStyle
    Inherits TableLayoutStyle
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)RowStyle()

Initializes an instance of the [RowStyle](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.rowstyle.md) class to its default state.

### ![](/files/uCY6T77rh488FWHzpJ6P)RowStyle(style)

Initializes an instance of the [RowStyle](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.rowstyle.md) class.

| Name      | Type                                                                                  | Description                |
| --------- | ------------------------------------------------------------------------------------- | -------------------------- |
| **style** | [RowStyle](https://docs.microsoft.com/en-us/dotnet/api/system.windows.forms.rowstyle) | Underlying style instance. |

### ![](/files/uCY6T77rh488FWHzpJ6P)RowStyle(sizeType)

Initializes an instance of the [RowStyle](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.rowstyle.md) class using the supplied [SizeType](/api/v3.0/wisej.web/enumerations/wisej.web.sizetype.md) value.

| Name         | Type                                                               | Description                                                                                                                                                                             |
| ------------ | ------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sizeType** | [SizeType](/api/v3.0/wisej.web/enumerations/wisej.web.sizetype.md) | A [SizeType](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstyle.md#sizetype) indicating how the row should be should be sized relative to its containing table. |

### ![](/files/uCY6T77rh488FWHzpJ6P)RowStyle(sizeType, height)

Initializes an instance of the [RowStyle](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.rowstyle.md) class using the supplied [SizeType](/api/v3.0/wisej.web/enumerations/wisej.web.sizetype.md) and height values.

| Name         | Type                                                                | Description                                                                                                                                                                             |
| ------------ | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sizeType** | [SizeType](/api/v3.0/wisej.web/enumerations/wisej.web.sizetype.md)  | A [SizeType](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstyle.md#sizetype) indicating how the row should be should be sized relative to its containing table. |
| **height**   | [Single](https://docs.microsoft.com/en-us/dotnet/api/system.single) | The preferred height in pixels or percentage of the [TableLayoutPanel](/api/v3.0/wisej.web/containers/tablelayoutpanel.md), depending on *sizeType* .                                   |

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) *height* is less than 0.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Height

[Single](https://docs.microsoft.com/en-us/dotnet/api/system.single): Returns or sets the height of a row.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The value is less than 0 when setting this property.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.rowstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
